curl --request GET \
--url https://api.hubapi.com/crm/associations/2026-03/definitions/configurations/{fromObjectType}/{toObjectType} \
--header 'Authorization: Bearer <token>'{
"results": [
{
"category": "HUBSPOT_DEFINED",
"typeId": 123,
"label": "<string>",
"userEnforcedMaxToObjectIds": 123
}
]
}Retrieve the cardinality limits for associations between two specified CRM object types (i.e., one-to-many vs one-to-one).
curl --request GET \
--url https://api.hubapi.com/crm/associations/2026-03/definitions/configurations/{fromObjectType}/{toObjectType} \
--header 'Authorization: Bearer <token>'{
"results": [
{
"category": "HUBSPOT_DEFINED",
"typeId": 123,
"label": "<string>",
"userEnforcedMaxToObjectIds": 123
}
]
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The type of the source object in the association.
The type of the target object in the association.
successful operation
Show child attributes
Was this page helpful?